Package org.springframework.security.access.intercept

# Class MethodInvocationPrivilegeEvaluator

java.lang.Object
org.springframework.security.access.intercept.MethodInvocationPrivilegeEvaluator

All Implemented Interfaces:
  `org.springframework.beans.factory.InitializingBean`

@Deprecated public class MethodInvocationPrivilegeEvaluator extends Object implements org.springframework.beans.factory.InitializingBean
Deprecated.
Use `AuthorizationManager` instead
Allows users to determine whether they have "before invocation" privileges for a given method invocation.

Of course, if an `AfterInvocationManager` is used to authorize the result of a method invocation, this class cannot assist determine whether or not the `AfterInvocationManager` will enable access. Instead this class aims to allow applications to determine whether or not the current principal would be allowed to at least attempt to invoke the method, irrespective of the "after" invocation handling.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final org.apache.commons.logging.Log`
`logger`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`MethodInvocationPrivilegeEvaluator()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
Deprecated.
`boolean`
`isAllowed(org.aopalliance.intercept.MethodInvocation invocation, Authentication authentication)`
Deprecated.
`void`
`setSecurityInterceptor(AbstractSecurityInterceptor securityInterceptor)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected static final org.apache.commons.logging.Log logger
Deprecated.

## Constructor Details

### MethodInvocationPrivilegeEvaluator

public MethodInvocationPrivilegeEvaluator()
Deprecated.

## Method Details

### afterPropertiesSet

public void afterPropertiesSet()
Deprecated.

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`

### isAllowed

public boolean isAllowed(org.aopalliance.intercept.MethodInvocation invocation, Authentication authentication)
Deprecated.

### setSecurityInterceptor

public void setSecurityInterceptor(AbstractSecurityInterceptor securityInterceptor)
Deprecated.